Skip to main content
Channels

Get a channel by channel id

This method requires the Channels:Get permission to be associated with your role.

GET
/fm/channels/{channel_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
channel_idstringrequired
Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]{0,9}$

Response

application/vnd.catch-e-api.v1+json

Success

bank_account_namestring

Bank Name

Example: ABC Bank
bank_account_numberstring

Bank Account number

Example: 123456789
bank_bsbstring

Bank BSB

Example: 987-654
channelstring
Example: ABC Pty Ltd
channel_codestring
Example: ABC
channel_group_idstring
Example: 100000
channel_idstring
Example: 100000
company_idstring
Example: 1
status_flagenum<string>default:active

Status flag

Available options: active, inactive
Example: active